Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.beanvalidator
Class MessageInterpolatorImpl

    java.lang.Object
      org.apache.tapestry5.internal.beanvalidator.MessageInterpolatorImpl

All Implemented Interfaces:
  javax.validation.MessageInterpolator

    public class MessageInterpolatorImpl

extends java.lang.Object
implements javax.validation.MessageInterpolator

The default message interpolation algorithm uses `Locale.getDefault()`. This behavior is not appropriate for Tapestry applications, thus we need a `Locale` aware message interpolator.

Nested Class Summary

Nested classes/interfaces inherited from interface javax.validation.MessageInterpolator
`javax.validation.MessageInterpolator.Context`

Constructor Summary
`MessageInterpolatorImpl(javax.validation.MessageInterpolator delegate, ThreadLocale threadLocale)`

Method Summary
`java.lang.String` | `interpolate(java.lang.String messageTemplate, javax.validation.MessageInterpolator.Context context)`
`java.lang.String` | `interpolate(java.lang.String messageTemplate, javax.validation.MessageInterpolator.Context context, java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageInterpolatorImpl

    public MessageInterpolatorImpl(javax.validation.MessageInterpolator delegate,
                                   ThreadLocale threadLocale)

Method Detail

### interpolate

    public java.lang.String interpolate(java.lang.String messageTemplate,
                                        javax.validation.MessageInterpolator.Context context)

  Specified by:
    `interpolate` in interface `javax.validation.MessageInterpolator`
  See Also:
    `MessageInterpolator.interpolate(java.lang.String, javax.validation.MessageInterpolator.Context)`

### interpolate

    public java.lang.String interpolate(java.lang.String messageTemplate,
                                        javax.validation.MessageInterpolator.Context context,
                                        java.util.Locale locale)

  Specified by:
    `interpolate` in interface `javax.validation.MessageInterpolator`
  See Also:
    `MessageInterpolator.interpolate(java.lang.String, javax.validation.MessageInterpolator.Context, java.util.Locale)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.